Subject: World Help - FMSC Food Impact Report Received
From: Feedback <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Feedback <[email-masked]>
Date: Tue, 2 Jun 2026 14:01:02 +0000

________________________________

[ EXTERNAL EMAIL: This email originated outside of World Help. Do not click any links or open attachments unless you know the sender and trust the content. ]

________________________________

Thank you for submitting a FMSC Food Impact Report
[https://fmsc-media-cdn.azureedge.net/-/media/images/logos/fmsc-email-logo.png?h=46&w=100&la=en&hash=E09F13683BDB3E282090414DE0836D9E375D8B43]
Food Impact Report
Dear Rachel Lewis ([email-masked]),
Thank you for submitting an Impact Report on behalf of World Help on June 02, 2026.
Upload supporting images or video
Please upload up to six (6) supporting images to this report. Images can include photos, videos or audio. Submit high quality JPEG photos and/or videos.
Upload Photos/Video <https://fmsc.sharepoint.com/:f:/s/FMSCFoodImpactForms/IgDhWQ4-uhskQKqU88_LBJIQAYLbytp5BixY9MfIg3F42KE>
Transformation Testimony (Individual)
What is the person's name?
Anouse Jean Charles (father's name)
What is the person's age?
Children between 10-12
What community, city or village is the person from?
Ouanaminth, Haiti
What are the details concerning this individual's impact story with FMSC food?

Anouse is a single father to 4 children, 2 boys and 2 girls. They are from Port au Prince. He was a car and motorcycle taxi, living a decent life with his family. One night at midnight, gang members entered their home, shot his wife in the chest and head and shot him two times in the right leg. His leg got infected and he lost his leg and his wife. He lived with someone until he was kicked out and then someone suggested he come to Ouanaminthe. He attended our church when he came to town and we helped him rent a home and took two of his sons into our school.

Do you have any other important details about this individual?

"I am a handicap father that's trying to survive and help my children. Life is very hard and things are not easy at all but I'm happy and grateful to be alive today with my children. I am all that they have left. Most days I'm struggling to feed all of them. The two oldest ones that are in school at Danita's Children eat a meal there during the school week, so that helps take pressure off me and they always tell me how much they love the Manna Pack and wish they could eat a plate every single day. The Manna Pack that I received today is a huge blessing. I was not expecting it at all but at least now I know I have food to cook for my children. Food plays a huge role in people's lives. I can not stand seeing my children go hungry. That broke my heart every single time. There is a lot of hunger and malnourished children, even adults, all around Haiti. I'm new to this new environment, but Danita's Children Church makes me feel better, treats me with love and takes care of me and my children. Again, thank you for choosing to help my people and for helping me feed my children. Always and forever, I will be grateful for that." - Anouse

Acknowledgements, Consent and Authorization

By submitting this FMSC Food Impact Report, you confirm that your organization:

  *   Authorizes FMSC employees, members, and agents the permission to use the narrative and images in internal and external communication and fundraising initiatives.
  *   Verifies the narrative and images reported accurately represent the results of FMSC food.
  *   Understands no form of payment or other form of compensation have been or will be made in exchange for accounts submitted.
  *   Obtained verbal and/or written consent of person(s) narrative and image(s) submitted. Consent was given for children under the age of 18 years by a parent and/or legal guardian and for images showing 3 persons or less.*
  *   Consents to making the information shared within this profile accessible to FMSC's internal and external audiences.
  *   Confirms the narrative and images do not compromise the safety of your organization and/or recipients, particularly for sensitive countries.

FMSC strives to safeguard all adults and children from harm. All children have a right to protection, and the needs of disabled children and others who may be vulnerable must be taken into account. We believe in best practices for storytelling, impact reporting and image sharing this includes consent from the individual(s) narrative and image(s) shared. If your organization would like more resources on narrative and image consent please email us at [email-masked]<mailto:[email-masked].>.

I confirm the above is true:
Yes

“The Lord is a refuge for the oppressed, a stronghold in times of trouble.” - Psalm 9:9-10
Feeding Kids. Feeding Spirits. Empowering Communities
fmsc.org<https://www.fmsc.org/> | Blog<https://www.fmsc.org/the-feed> | FMSC MarketPlace<http://www.fmscmarketplace.org/> | Donate<https://give.fmsc.org/checkout/donation?eid=76206&utm_source=email&utm_campaign=genemails> | Volunteer<https://volunteer.fmsc.org/Register/Default.aspx>
[https://fmsc-media-cdn.azureedge.net/-/media/images/fmsc/newsletters/social-icons/facebook.png]<https://www.facebook.com/feedmystarvingchildren>  [Twitter] <http://www.twitter.com/fmsc_org>   [instagram] <http://www.instagram.com/fmsc_org>   [LinkedIn] <https://www.linkedin.com/company/feed-my-starving-children>

Headquarters: 401 93rd Avenue NW, Minneapolis, MN 55433 USA | Privacy Policy<https://www.fmsc.org/privacy-policy> | Unsubscribe<https://www.fmsc.org/unsubscribe>